curl --request POST \
--url https://api.firecrawl.dev/v2/monitor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Blog monitor",
"schedule": {
"text": "every 30 minutes",
"timezone": "UTC"
},
"goal": "Notify me when a new blog post is published or the headline changes",
"notification": {
"email": {
"enabled": true,
"recipients": [
"alerts@example.com"
],
"includeDiffs": true
}
},
"targets": [
{
"type": "scrape",
"urls": [
"https://example.com/blog"
]
}
]
}
'{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "active",
"schedule": {
"cron": "<string>",
"timezone": "<string>"
},
"nextRunAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z",
"currentCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targets": [
{
"type": "scrape",
"urls": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scrapeOptions": {
"formats": [
{
"type": "markdown"
}
],
"onlyMainContent": true,
"onlyCleanContent": false,
"includeTags": [
"<string>"
],
"excludeTags": [
"<string>"
],
"maxAge": 172800000,
"minAge": 123,
"headers": {},
"waitFor": 0,
"mobile": false,
"skipTlsVerification": false,
"timeout": 60000,
"parsers": [
"pdf",
"image"
],
"actions": [
{
"type": "wait",
"milliseconds": 2
}
],
"location": {
"country": "US",
"languages": [
"en-US"
]
},
"removeBase64Images": true,
"blockAds": true,
"proxy": "auto",
"storeInCache": true,
"lockdown": false,
"checkPromptInjection": false,
"redactPII": false,
"profile": {
"name": "<string>",
"saveChanges": true
},
"threatProtection": {
"mode": "off",
"riskScoreThreshold": 75,
"blacklist": [
"<string>"
],
"whitelist": [
"<string>"
],
"blockedTlds": [
"<string>"
],
"failurePolicy": "open"
},
"auditMetadata": {
"username": "<string>"
}
}
}
],
"webhook": {
"url": "<string>",
"headers": {},
"metadata": {},
"events": [
"monitor.page"
]
},
"notification": {
"email": {
"enabled": false,
"recipients": [
"jsmith@example.com"
],
"includeDiffs": false
}
},
"retentionDays": 123,
"estimatedCreditsPerMonth": 123,
"lastCheckSummary": {
"totalPages": 123,
"same": 123,
"changed": 123,
"new": 123,
"removed": 123,
"error": 123
},
"goal": "<string>",
"judgeEnabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Monitor Endpoints
Create Monitor
POST
/
monitor
curl --request POST \
--url https://api.firecrawl.dev/v2/monitor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Blog monitor",
"schedule": {
"text": "every 30 minutes",
"timezone": "UTC"
},
"goal": "Notify me when a new blog post is published or the headline changes",
"notification": {
"email": {
"enabled": true,
"recipients": [
"alerts@example.com"
],
"includeDiffs": true
}
},
"targets": [
{
"type": "scrape",
"urls": [
"https://example.com/blog"
]
}
]
}
'{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "active",
"schedule": {
"cron": "<string>",
"timezone": "<string>"
},
"nextRunAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z",
"currentCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targets": [
{
"type": "scrape",
"urls": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scrapeOptions": {
"formats": [
{
"type": "markdown"
}
],
"onlyMainContent": true,
"onlyCleanContent": false,
"includeTags": [
"<string>"
],
"excludeTags": [
"<string>"
],
"maxAge": 172800000,
"minAge": 123,
"headers": {},
"waitFor": 0,
"mobile": false,
"skipTlsVerification": false,
"timeout": 60000,
"parsers": [
"pdf",
"image"
],
"actions": [
{
"type": "wait",
"milliseconds": 2
}
],
"location": {
"country": "US",
"languages": [
"en-US"
]
},
"removeBase64Images": true,
"blockAds": true,
"proxy": "auto",
"storeInCache": true,
"lockdown": false,
"checkPromptInjection": false,
"redactPII": false,
"profile": {
"name": "<string>",
"saveChanges": true
},
"threatProtection": {
"mode": "off",
"riskScoreThreshold": 75,
"blacklist": [
"<string>"
],
"whitelist": [
"<string>"
],
"blockedTlds": [
"<string>"
],
"failurePolicy": "open"
},
"auditMetadata": {
"username": "<string>"
}
}
}
],
"webhook": {
"url": "<string>",
"headers": {},
"metadata": {},
"events": [
"monitor.page"
]
},
"notification": {
"email": {
"enabled": false,
"recipients": [
"jsmith@example.com"
],
"includeDiffs": false
}
},
"retentionDays": 123,
"estimatedCreditsPerMonth": 123,
"lastCheckSummary": {
"totalPages": 123,
"same": 123,
"changed": 123,
"new": 123,
"removed": 123,
"error": 123
},
"goal": "<string>",
"judgeEnabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Authorizations
Body
application/json

